Bug 405280 - Wish: Dropping text on the line number border should insert at the beginning of that line.
Summary: Wish: Dropping text on the line number border should insert at the beginning ...
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: application (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-09 19:47 UTC by David Hurka
Modified: 2019-03-12 15:39 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.57


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Hurka 2019-03-09 19:47:35 UTC
SUMMARY
Currently, moving whole lines with the mouse is a bit difficult, as the text must be dropped exactly in front of the first letter of the destination line. Dropping the text on the line number would be easier. But this copies the text to a new document.

I am used to drop onto line numbers from another text editor. An older Kate (KDE 4), Notepad++, or Atmel Studio, not sure which.

STEPS TO REPRODUCE
1. Open a file with many lines of text
2. Select some lines and drag them with the mouse
3. Drop them on a line number

OBSERVED RESULT
The lines should be moved to the line on which'es number* they were dropped.

EXPECTED RESULT
The lines are copied to a new document. You have to do undo, close, and try it again.

Is there a purpose of the current functionality? If yes, could this be configurable?

SOFTWARE/OS VERSIONS
Kate 18.12.3
KDE Neon 5.15
KDE Plasma Version: 5.15.2
KDE Frameworks Version: 5.55.0
Qt Version: 5.12.0
Additionally, Windows 7 with Kate version shortly before centered "Search wrapped" message.

ADDITIONAL INFORMATION
* sorry.
Comment 1 Lothar 2019-03-11 13:36:04 UTC
https://phabricator.kde.org/D19681
Comment 2 Nate Graham 2019-03-12 15:39:48 UTC
Git commit aa574ba2dac1ddbc8ba2816b5c3f202b3993adc1 by Nate Graham, on behalf of loh tar.
Committed on 12/03/2019 at 15:36.
Pushed by ngraham into branch 'master'.

IconBorder: Accept drag&drop events

Summary:
..and forward them to KateViewInternal. This way is dropping text to
column 1 of the view much less cumbersome
FIXED-IN: 5.57

Reviewers: #ktexteditor, dhaumann

Reviewed By: #ktexteditor, dhaumann

Subscribers: dhaumann, kwrite-devel, kde-frameworks-devel, #ktexteditor

Tags: #kate, #frameworks

Differential Revision: https://phabricator.kde.org/D19681

M  +17   -0    src/view/kateviewhelpers.cpp
M  +2    -0    src/view/kateviewhelpers.h

https://commits.kde.org/ktexteditor/aa574ba2dac1ddbc8ba2816b5c3f202b3993adc1